Delete Global Attribute
curl --request DELETE \
--url https://scx-sbx.api.jtl-software.com/v1/channel/attribute/global/{attributeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/attribute/global/{attributeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/attribute/global/{attributeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Attributes
Delete Global Attribute
Delete global attribute by attributeId.
DELETE
/
v1
/
channel
/
attribute
/
global
/
{attributeId}
Delete Global Attribute
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Path Parameters
ID of the global attribute to delete. AttributeId must be a category tree wide unique identifer.
Required string length:
1 - 512Example:
"12323"
Response
Global attribute deleted
Was this page helpful?
⌘I